#
# spec file for package python-hotspotd
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-hotspotd
Version:        0.1.4
Release:        1.1
License:        MIT
Summary:        Small daemon to create a wifi hotspot on linux
Url:            https://github.com/prahladyeri/hotspotd
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/h/hotspotd/hotspotd-%{version}.tar.gz
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Requires:       hostapd
Requires:       dnsmasq

%description
Hotspotd is a small daemon to create a wifi hotspot on linux.
It depends on hostapd for AP provisioning and dnsmasq to assign
IP addresses to devices.

Hotspotd works by creating a virtual NAT (Network address transation)
table between your connected device and the internet using linux iptables.

%prep
%setup -q -n hotspotd-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/hotspotd
%{python_sitelib}/*

%changelog
* Sat Aug  9 2014 mailaender@opensuse.org
- initial packaging
